package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * B类对象 contract_table
 * 
 * @author ruoyi
 * @date 2022-11-25
 */
public class ContractTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 证书类型 */
    @Excel(name = "证书类型", readConverterExp = "0=个人会员证,1=团体会员证,2=企业会员证,3=理事聘书,4=一般聘书", type = Excel.Type.ALL)
    private Long certType;

    /** 姓名或者单位 */
    @Excel(name = "姓名或者单位",type = Excel.Type.ALL)
    private String dName;

    /** 身份证或者编码 */
    @Excel(name = "身份证或者编码",type = Excel.Type.ALL)
    private String dCode;

    /** 证书编码 */
    @Excel(name = "证书编码",type = Excel.Type.ALL)
    private String certId;

    /** 专业委员会 */
    @Excel(name = "专业委员会", readConverterExp = "0=天文教育,1=地理教育,2=中学数学教育,3=中学阅读与发展",type = Excel.Type.ALL)
    private Integer certMajor;

    /** 发证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发证时间", width = 30, dateFormat = "yyyy-MM-dd", type = Excel.Type.ALL)
    private Date issueDate;

    /** 证书有效期 */
    @Excel(name = "证书有效期",type = Excel.Type.ALL)
    private String validTerm;

    /** 邮箱 */
    @Excel(name = "邮箱",type = Excel.Type.ALL)
    private String dEmail;

    /** 手机号 */
    @Excel(name = "手机号",type = Excel.Type.ALL)
    private String dPhone;

    /** 导入系统的时间戳 */
    private Date updateDate;

    /** 证书文字 */
    @Excel(name = "证书文字",type = Excel.Type.ALL)
    private String certContent;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCertType(Long certType) 
    {
        this.certType = certType;
    }

    public Long getCertType() 
    {
        return certType;
    }
    public void setdName(String dName) 
    {
        this.dName = dName;
    }

    public String getdName() 
    {
        return dName;
    }
    public void setdCode(String dCode) 
    {
        this.dCode = dCode;
    }

    public String getdCode() 
    {
        return dCode;
    }
    public void setCertId(String certId) 
    {
        this.certId = certId;
    }

    public String getCertId() 
    {
        return certId;
    }
    public void setCertMajor(Integer certMajor) 
    {
        this.certMajor = certMajor;
    }

    public Integer getCertMajor() 
    {
        return certMajor;
    }
    public void setIssueDate(Date issueDate) 
    {
        this.issueDate = issueDate;
    }

    public Date getIssueDate() 
    {
        return issueDate;
    }
    public void setValidTerm(String validTerm) 
    {
        this.validTerm = validTerm;
    }

    public String getValidTerm() 
    {
        return validTerm;
    }
    public void setdEmail(String dEmail) 
    {
        this.dEmail = dEmail;
    }

    public String getdEmail() 
    {
        return dEmail;
    }
    public void setdPhone(String dPhone) 
    {
        this.dPhone = dPhone;
    }

    public String getdPhone() 
    {
        return dPhone;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setCertContent(String certContent) 
    {
        this.certContent = certContent;
    }

    public String getCertContent() 
    {
        return certContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("certType", getCertType())
            .append("dName", getdName())
            .append("dCode", getdCode())
            .append("certId", getCertId())
            .append("certMajor", getCertMajor())
            .append("issueDate", getIssueDate())
            .append("validTerm", getValidTerm())
            .append("dEmail", getdEmail())
            .append("dPhone", getdPhone())
            .append("updateDate", getUpdateDate())
            .append("certContent", getCertContent())
            .toString();
    }
}
